namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "heat_crash")]
public class HeatCrash : Script
{
    /// <inheritdoc />
    public override void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref byte basePower)
    {
        var weightMultiplier = move.User.WeightInKg / target.WeightInKg;
        basePower = weightMultiplier switch
        {
            > 5 => 120,
            > 4 => 100,
            > 3 => 80,
            > 2 => 60,
            _ => 40,
        };
    }
}