using PkmnLib.Static.Utils;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "hex")]
public class Hex : Script
{
    /// <inheritdoc />
    public override void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref byte basePower)
    {
        if (!target.StatusScript.IsEmpty)
        {
            basePower = basePower.MultiplyOrMax(2);
        }
    }
}