using PkmnLib.Static;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "incinerate")]
public class Incinerate : Script
{
    /// <inheritdoc />
    public override void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        if (target.HeldItem is { Category: ItemCategory.Berry })
        {
            target.RemoveHeldItemForBattle();
        }
    }
}